CONNECT drxdb USER drxuser PASSWORD maslo;

--====================================================================================================
--=============================================== APW ================================================
--====================================================================================================

ALTER TABLE "APW" ADD "COUNT1" VarChar(11);
ALTER TABLE "APW" ALTER "COUNT1" POSITION 6;
ALTER TABLE "APW" ADD "COUNT2" VarChar(11);
ALTER TABLE "APW" ALTER "COUNT2" POSITION 7;
ALTER TABLE "APW" ADD "COUNT3" VarChar(11);
ALTER TABLE "APW" ALTER "COUNT3" POSITION 8;

--====================================================================================================
--================================================ TIP ===============================================
--====================================================================================================

ALTER TABLE "APW_TIP" ADD "COUNT1" VarChar(11);
ALTER TABLE "APW_TIP" ALTER "COUNT1" POSITION 6;
ALTER TABLE "APW_TIP" ADD "COUNT2" VarChar(11);
ALTER TABLE "APW_TIP" ALTER "COUNT2" POSITION 7;
ALTER TABLE "APW_TIP" ADD "COUNT3" VarChar(11);
ALTER TABLE "APW_TIP" ALTER "COUNT3" POSITION 8;

SET TERM ^^;
CREATE OR ALTER TRIGGER APW_AIUD FOR "APW"
ACTIVE AFTER INSERT OR UPDATE OR DELETE POSITION 10
AS
BEGIN
    IF (OLD.ID IS NULL) THEN
        INSERT INTO APW_TIP(ID, SESSIONTABID, DRUGID, VAL, LOT, COUNT1, COUNT2, COUNT3, CREATIONDATE, ISACTIVE, ACTIONDATE, ACTIONTYPE, ISARCHIVED)
        VALUES(NEW.ID, NEW.SESSIONTABID, NEW.DRUGID, NEW.VAL, NEW.LOT, NEW.COUNT1, NEW.COUNT2, NEW.COUNT3, NEW.CREATIONDATE, NEW.ISACTIVE, 'NOW', 'I', 'F');
    ELSE IF (NEW.ID IS NOT NULL) THEN
        INSERT INTO APW_TIP(ID, SESSIONTABID, DRUGID, VAL, LOT, COUNT1, COUNT2, COUNT3, CREATIONDATE, ISACTIVE, ACTIONDATE, ACTIONTYPE, ISARCHIVED)
        VALUES(NEW.ID, NEW.SESSIONTABID, NEW.DRUGID, NEW.VAL, NEW.LOT, NEW.COUNT1, NEW.COUNT2, NEW.COUNT3, NEW.CREATIONDATE, NEW.ISACTIVE, 'NOW', 'U', 'F');
    ELSE
        INSERT INTO APW_TIP(ID, ACTIONDATE, ACTIONTYPE, ISARCHIVED)
        VALUES(OLD.ID, 'NOW', 'D', 'F');
END^^
SET TERM ;^^

COMMIT;
